#!/bin/sh
# ESP Package Manager v3.7.0

if [ -n "$TMPDIR" ]; then
  UNOPKGTMP="$TMPDIR"
elif [ -n "$TMP" ]; then
  UNOPKGTMP="$TMP"
elif [ -d "/tmp" ]; then
  UNOPKGTMP="/tmp"
else
  echo "No tmp directory found!"
  exit 1
fi

#Create the command which creates a temporary directory
if [ -x "/usr/bin/mktemp" ]
then
  INSTDIR=`/usr/bin/mktemp -d "${UNOPKGTMP}/userinstall.XXXXXX"`
else
  INSTDIR="${UNOPKGTMP}/userinstall.$$"
  mkdir "$INSTDIR"
fi

#
# Need to check diskless service install and make sure use the correct unpkg 
#
DISKLESS_SRVC=`echo $BASEDIR | /usr/bin/grep export/Solaris_[1-9][0-9]/usr_${ARCH}.all`
if [  "$DISKLESS_SRVC" ]; then
	UNOPKG=/export/Solaris_11/usr_`uname -p`.all/opt/staroffice9/program/unopkg
	POSTRUN=$PKG_INSTALL_ROOT/usr_`uname -p`.all/usr/lib/postrun
	CLIENT_BASEDIR=$PKG_INSTALL_ROOT/usr_${ARCH}.all
else
	UNOPKG=$BASEDIR/opt/openoffice.org3/program/unopkg
	POSTRUN=$PKG_INSTALL_ROOT/usr/lib/postrun
fi
# Use postrun command on Solaris where available (OpenSolaris)
if [ -x $POSTRUN ]; then
( echo "test -x \"$CLIENT_BASEDIR/opt/openoffice.org3/program/unopkg\" || exit 0"
  echo "umask 022"
  echo "\"$CLIENT_BASEDIR/opt/openoffice.org3/program/unopkg\" add --shared --suppress-license --bundled \"$CLIENT_BASEDIR/opt/openoffice.org3/share/extension/install/dict-es.oxt\" \"-env:UserInstallation=file://$INSTDIR\" '-env:UNO_JAVA_JFW_INSTALL_DATA=\$OOO_BASE_DIR/share/config/javasettingsunopkginstall.xml' '-env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1'"
) | $POSTRUN -b -c UNOPKG
  if [ "$?" != "0" ]; then
    echo "\nERROR: Installation of UNO extension dict-es.oxt"
    echo " through $POSTRUN failed."
    exit 1
  fi
else
  # No postrun available, try running unopkg directly
  "$UNOPKG" add --shared --suppress-license --bundled "$BASEDIR/opt/openoffice.org3/share/extension/install/dict-es.oxt" "-env:UserInstallation=file://$INSTDIR" '-env:UNO_JAVA_JFW_INSTALL_DATA=$OOO_BASE_DIR/share/config/javasettingsunopkginstall.xml' '-env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1'
  if [ "$?" != "0" ]; then
    echo "\nERROR: Installation of UNO extension dict-es.oxt failed."
    test "$BASEDIR" = "$CLIENT_BASEDIR" || echo "ERROR: alternate root install requires SUNWpostrun package to be installed"
    echo 'ERROR: Make sure the runtime requirements (operating system, patch level, architecture) are met.'
    exit 1
  fi
fi

if [ -n "$INSTDIR" ]; then
  rm -rf "$INSTDIR"
fi

exit 0
